public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyprotocols/, dev-python/pyprotocols/files/
@ 2017-03-10 20:40 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2017-03-10 20:40 UTC (permalink / raw
  To: gentoo-commits

commit:     8b3c0b622cee195309cd0fa5c35d5b76a9425c27
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 10 20:33:59 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Mar 10 20:40:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b3c0b62

dev-python/pyprotocols: Port to EAPI 6

Bug: https://bugs.gentoo.org/show_bug.cgi?id=611216
Package-Manager: Portage-2.3.4, Repoman-2.3.2

 dev-python/pyprotocols/files/SkipTests.patch             |  5 ++---
 dev-python/pyprotocols/pyprotocols-1.0_pre2306-r1.ebuild | 14 ++++++++------
 2 files changed, 10 insertions(+), 9 deletions(-)

diff --git a/dev-python/pyprotocols/files/SkipTests.patch b/dev-python/pyprotocols/files/SkipTests.patch
index 7e362678fe4..293f0a2a062 100644
--- a/dev-python/pyprotocols/files/SkipTests.patch
+++ b/dev-python/pyprotocols/files/SkipTests.patch
@@ -1,6 +1,5 @@
-diff -ur PyProtocols.orig/src/protocols/tests/__init__.py PyProtocols/src/protocols/tests/__init__.py
---- src/protocols/tests/__init__.py	2007-04-25 12:15:46.000000000 +0800
-+++ src/protocols/tests/__init__.py	2013-04-10 19:22:28.720647271 +0800
+--- a/src/protocols/tests/__init__.py
++++ b/src/protocols/tests/__init__.py
 @@ -256,22 +256,6 @@
          makeSuite(GenerationTests,'check'),
      ]

diff --git a/dev-python/pyprotocols/pyprotocols-1.0_pre2306-r1.ebuild b/dev-python/pyprotocols/pyprotocols-1.0_pre2306-r1.ebuild
index 628f002ad00..8a8f9f0b4bd 100644
--- a/dev-python/pyprotocols/pyprotocols-1.0_pre2306-r1.ebuild
+++ b/dev-python/pyprotocols/pyprotocols-1.0_pre2306-r1.ebuild
@@ -1,10 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
+
 PYTHON_COMPAT=( python2_7 )
 
-inherit distutils-r1 flag-o-matic eutils
+inherit distutils-r1 flag-o-matic
 
 MY_PN="PyProtocols"
 MY_P="${MY_PN}-${PV/_pre/a0dev_r}"
@@ -26,12 +27,14 @@ DEPEND="${RDEPEND}
 
 S="${WORKDIR}/${MY_PN}"
 
+PATCHES=( "${FILESDIR}"/SkipTests.patch )
 DOCS=( CHANGES.txt README.txt UPGRADING.txt )
 
 python_prepare_all() {
 	# Rm peripheral & rogue failing tests
 	rm -f src//protocols/tests/{test_twisted.py,test_zope.py} || die
-	epatch "${FILESDIR}"/SkipTests.patch
+
+	distutils-r1_python_prepare_all
 }
 
 python_configure_all() {
@@ -39,6 +42,5 @@ python_configure_all() {
 }
 
 python_test() {
-	esetup.py test && einfo "Tests passed under ${EPYTHON}" \
-		|| die "Tests failed under ${EPYTHON}"
+	esetup.py test || die "Tests failed under ${EPYTHON}"
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-03-10 20:40 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-10 20:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyprotocols/, dev-python/pyprotocols/files/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox